Package org.eclipse.gef.fx.anchors

# Class DynamicAnchor.PreferredOrientation

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter<javafx.geometry.Orientation>
org.eclipse.gef.fx.anchors.DynamicAnchor.PreferredOrientation

All Implemented Interfaces:
  `javafx.beans.Observable`, `javafx.beans.property.Property<javafx.geometry.Orientation>`, `javafx.beans.property.ReadOnlyProperty<javafx.geometry.Orientation>`, `javafx.beans.value.ObservableObjectValue<javafx.geometry.Orientation>`, `javafx.beans.value.ObservableValue<javafx.geometry.Orientation>`, `javafx.beans.value.WritableObjectValue<javafx.geometry.Orientation>`, `javafx.beans.value.WritableValue<javafx.geometry.Orientation>`

Enclosing class:
  DynamicAnchor

public static class DynamicAnchor.PreferredOrientation extends IComputationStrategy.Parameter<javafx.geometry.Orientation>
An `IComputationStrategy.Parameter` that encapsulates the preferred orientation to be used for orthogonal projections.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter

`IComputationStrategy.Parameter.Kind`

## Constructor Summary

Constructors
Constructor
Description
`PreferredOrientation()`
Creates a new `DynamicAnchor.PreferredOrientation` without default value.
`PreferredOrientation(javafx.geometry.Orientation orientation)`
Creates a `DynamicAnchor.PreferredOrientation` that encapsulates the given `Orientation`.

## Method Summary

### Methods inherited from class org.eclipse.gef.fx.anchors.IComputationStrategy.Parameter

`bind, get, getBean, getKind, getKind, getName, invalidateBinding, isOptional, isOptional, unbind`

### Methods inherited from class javafx.beans.property.ObjectPropertyBase

`addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString`

### Methods inherited from class javafx.beans.property.ObjectProperty

`bindBidirectional, setValue, unbindBidirectional`

### Methods inherited from class javafx.beans.binding.ObjectExpression

`asString, asString, asString, getValue, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### PreferredOrientation

public PreferredOrientation()
Creates a new `DynamicAnchor.PreferredOrientation` without default value.

### PreferredOrientation

public PreferredOrientation(javafx.geometry.Orientation orientation)
Creates a `DynamicAnchor.PreferredOrientation` that encapsulates the given `Orientation`.

Parameters:
  `orientation` - The `Orientation` to encapsulate.